/*
 *  TOPPERS/JSP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Just Standard Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2005-2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  上記著作権者は，Free Software Foundation によって公表されている 
 *  GNU General Public License の Version 2 に記述されている条件か，以
 *  下の(1)～(4)の条件を満たす場合に限り，本ソフトウェア（本ソフトウェ
 *  アを改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
 *  利用と呼ぶ）することを無償で許諾する．
 *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
 *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
 *      スコード中に含まれていること．
 *  (2) 本ソフトウェアを再利用可能なバイナリコード（リロケータブルオブ
 *      ジェクトファイルやライブラリなど）の形で利用する場合には，利用
 *      に伴うドキュメント（利用者マニュアルなど）に，上記の著作権表示，
 *      この利用条件および下記の無保証規定を掲載すること．
 *  (3) 本ソフトウェアを再利用不可能なバイナリコードの形または機器に組
 *      み込んだ形で利用する場合には，次のいずれかの条件を満たすこと．
 *    (a) 利用に伴うドキュメント（利用者マニュアルなど）に，上記の著作
 *        権表示，この利用条件および下記の無保証規定を掲載すること．
 *    (b) 利用の形態を，別に定める方法によって，上記著作権者に報告する
 *        こと．
 *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
 *      害からも，上記著作権者を免責すること．
 * 
 *  本ソフトウェアは，無保証で提供されているものである．上記著作権者は，
 *  本ソフトウェアに関して，その適用可能性も含めて，いかなる保証も行わ
 *  ない．また，本ソフトウェアの利用により直接的または間接的に生じたい
 *  かなる損害に関しても，その責任を負わない．
 * 
 */

/*  
 *  2014/01:
 *		Modified for STM32F0-Discovery(STM32F051) by dinau.  
 *
 *  */

#ifndef TOPPERS_TARGET_INTR_H
#define TOPPERS_TARGET_INTR_H


/*
 *  割込み番号の最大値
 */
#define TMAX_INTNO   (16 + 30)

/*
 *  割込み優先度のビット幅
 */
#define TBITW_IPRI     4

/*
 *  割込み優先度ビット幅中のサブ優先度のビット幅
 */
#define TBITW_SUBIPRI  0

/*
 *  割込みベクタ番号定義
 */
#define	INT_WWDG					(16 +  0)
#define INT_PVD						(16 +  1)
#define INT_RTC						(16 +  2)
#define INT_FLASH					(16 +  3)
#define INT_RCC						(16 +  4)
#define INT_EXTI0_1					(16 +  5)
#define INT_EXTI2_3					(16 +  6)
#define INT_EXTI5_15				(16 +  7)
#define INT_TSC						(16 +  8)
#define INT_DMA_CH1					(16 +  9)
#define INT_DMA_CH2_3				(16 +  10)
#define INT_DMA_CH4_5				(16 +  11)
#define INT_ADC_COMP				(16 +  12)
#define INT_TIM1_BRK_UP_TRG_COM		(16 +  13)
#define INT_TIM1_CC					(16 +  14)
#define INT_TIM2					(16 +  15)
#define INT_TIM3					(16 +  16
#define INT_TIM6_DAC				(16 +  17)

#define INT_TIM14					(16 +  19)
#define INT_TIM15					(16 +  20)
#define INT_TIM16					(16 +  21)
#define INT_TIM17					(16 +  22)
#define INT_I2C1					(16 +  23)
#define INT_I2C2					(16 +  24)
#define INT_SPI1					(16 +  25)
#define INT_SPI2					(16 +  26)
#define INT_USART1					(16 +  27)
#define INT_USART2					(16 +  28)

#define INT_CEC						(16 +  30)


#ifndef TOPPERS_MACRO_ONLY

#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_TARGET_INTR_H  */
